sfcode An Online Competing and Development Environment

regenerator-transform

Transform async/generator functions with regenerator

# Installation

$ npm install regenerator-transform

# Usage

## Via <tt>.babelrc</tt> (Recommended)

**.babelrc**

// without options
{
"plugins": ["regenerator-transform"]
}
// with options
{
"plugins": [
["regenerator-transform", {
asyncGenerators: false, // true by default
generators: false, // true by default
async: false // true by default
}]
]
}

## Via CLI

$ babel --plugins regenerator-transform script.js

## Via Node API

require("@babel/core").transformSync("code", {
plugins: ["regenerator-transform"]
});